#pragma once
#include <map>
struct M_ActivityKingCraftLotteryShopData
{
	//ID
	int mID;
	//抽奖次数
	int mLotteryCount;
	//需要钻石
	int mNeedCount;
	//奖励抽奖券数量
	int mTicketCount;
};

class M_ActivityKingCraftLotteryShop
{
public:
private:
	static std::auto_ptr<M_ActivityKingCraftLotteryShop> msSingleton;
public:
	int GetCount();
	const M_ActivityKingCraftLotteryShopData* GetData(int ID);
	const std::map<int, M_ActivityKingCraftLotteryShopData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityKingCraftLotteryShop* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityKingCraftLotteryShopData> mMapData;
};
